
from setuptools import setup
from jupyter_tools import __version__ as VERSION
from build_utils import BuildCommand
from build_utils import PublishCommand
from build_utils import BinaryDistribution


PACKAGE_NAME = 'jupyter_tools'
BuildCommand.pkg = PACKAGE_NAME
PublishCommand.pkg = PACKAGE_NAME
PublishCommand.version = VERSION


setup(
	name=PACKAGE_NAME,
	packages=[PACKAGE_NAME],
	version=VERSION,
	description='Some tools to make working in jupyter notebooks easier',
	author='Kevin Walchko',
	long_description=open('README.rst').read(),
	author_email='kevin.walchko@outlook.com',
	url='https://github.com/walchko/{}'.format(PACKAGE_NAME),
	keywords=['ipython', 'jupyter', 'notebook', 'computer vision', 'image processing', 'opencv', 'matplotlib'],
	classifiers=[
		'Development Status :: 4 - Beta',
		'Intended Audience :: Developers',
		'License :: OSI Approved :: MIT License',
		'Operating System :: OS Independent',
		'Programming Language :: Python :: 2.7',
		'Programming Language :: Python :: 3.6',
		'Topic :: Software Development :: Libraries',
		'Topic :: Software Development :: Libraries :: Python Modules',
		'Topic :: Software Development :: Libraries :: Application Frameworks'
	],
	# install_requires=['numpy', 'jupyter', 'matplotlib', 'scipy'],
	install_requires=['jupyter', 'matplotlib', 'build_utils', 'numpy'],
	license='MIT',
	cmdclass={
		'publish': PublishCommand,
		'make': BuildCommand
	},
)
